Subject: Re: bug#35380: disk-image fails to install efi grub

From: Ludovic Courtès <[email-masked]>
Date: Thu, 02 May 2019 17:16:52 +0200

Hello,

Gábor Boskovits <[email-masked]> skribis:

> I've already looked into that earlier, and supporting this usecase would
> not be
> so hard. We have ovmf after all, and we could stat qemu in efi mode. It
> would not
> be so hard to get the thing in place to do an emergency efi booting setup.
> Why I did not feel comfortable to carry on work in this direction, is that
> we should
> associate a state with the VM-s, namely the file contatining the nvram
> variables of
> the efi firmware. This is needed for full support, but not needed to create
> a bootable
> system. Wdyt?

I suppose the file that contains variables could be temporary or
read-only in the store?

I’m not familiar with all this.  ISTR that Marius looked into it back
then, so perhaps there are ideas to share?

Thanks,
Ludo’.